Subject: Re: Efficient way to import snapshots?

From: Theodore Tso <[email-masked]>
Date: Tue, 31 Jul 2007 12:15:24 -0400

On Tue, Jul 31, 2007 at 08:50:19AM -0700, Linus Torvalds wrote:
> Very interesting. And thanks. The whole "ZFS is great" internet meme seems 
> to be partly due to not a lot of people having used or compared it in real 
> life. I'm sure it's wonderful for some things, but it clearly does have a 
> lot of downsides too. 

I'm pretty sure Sun's marketing machine is also very much part of it;
I'm not convinced all of the blogs pitching ZFS as the most wonderful
thing since sliced bread were all, shall we say, unbiased or
uninfluenced by Sun.  Add to that the fact that the Solaris 10 License
Agreement prohibits you from publishing benchmark numbers without
Sun's permisison, and it's not at all surprising that most of what
people have heard of ZFS has all been the positive stuff.  But with
more people playing with ZFS in the FreeBSD and OpenSolaris camps, I'm
sure a more balanced view that shows its advantages *and*
disadvantages will start showing up.

            	    	     	       - Ted